Package com.orbbec.obsensor

## Class AccelFrame

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Frame
    - - com.orbbec.obsensor.AccelFrame

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class AccelFrame
    extends Frame

Acceleration streaming data frame

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`float[]` `getAccelData()` Get acceleration frame data
`float` `getTemperature()` Get the temperature when the frame is sampled

### Methods inherited from class com.orbbec.obsensor.Frame

`as, close, getData, getData, getDataSize, getDirectBuffer, getFormat, getFrameIndex, getMetadata, getMetadataSize, getStreamType, getSystemTimeStamp, getTimeStamp, getTimeStampUs`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAccelData

    public float[] getAccelData()

Get acceleration frame data

Returns:
  float[3]{x,y,z} returns acceleration frame data

#### getTemperature

    public float getTemperature()

Get the temperature when the frame is sampled

Returns:
  temperature at frame sampling